.\" $OpenBSD: wsfb.man,v 1.10 2003/08/30 10:51:55 matthieu Exp $
.\"
.\" Copyright (c) 2009 Michael Lorenz
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\"
.\"    - Redistributions of source code must retain the above copyright
.\"      notice, this list of conditions and the following disclaimer.
.\"    - Redistributions in binary form must reproduce the above
.\"      copyright notice, this list of conditions and the following
.\"      disclaimer in the documentation and/or other materials provided
.\"      with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
.\" "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
.\" COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH IGS __drivermansuffix__ __vendorversion__
.SH NAME
igs \- video driver for IGS CyberPro 20x0 graphics controllers
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qigs\*q"
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B igs
is an __xservername__ driver for NetBSD..
This driver supports basic acceleration on Shark rev. 5 hardware.
The following framebuffer depths are supported: 8, 16, 24
.br
.SH SUPPORTED HARDWARE
The
.B igs
driver supports shark hardware only for now, adapting it to work PCI variants
of the CyberPro 20x0 family should be trivial though.
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.
This section only covers configuration details specific to this driver.
.PP
For this driver it is not required to specify modes in the 
.B Screen
section of the configuration file.
The
.B igs
driver picks up the currently used video mode from the framebuffer
driver and uses it.
Video modes specifications in the configuration file are ignored.
.PP
.SH BUGS
The driver doesn't contain any code to program video modes, it relies on the
igsfb driver to take care of that.
.SH "SEE ALSO"
Xorg(1), __xconfigfile__(__filemansuffix__), Xserver(1),
X(__miscmansuffix__), wsfb(__drivermansuffix__)
.SH AUTHORS
This driver was written by Michael Lorenz
